This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1002493 - qemu-img convert rate about 100k/second from qcow2/raw to vmdk format on nfs system file
qemu-img convert rate about 100k/second from qcow2/raw to vmdk format on nfs ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On:
Blocks: 1132385 1171560
  Show dependency treegraph
 
Reported: 2013-08-29 06:24 EDT by FuXiangChun
Modified: 2015-03-05 03:01 EST (History)
12 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-84.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1132385 (view as bug list)
Environment:
Last Closed: 2015-03-05 03:01:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FuXiangChun 2013-08-29 06:24:02 EDT
Description of problem:
convert qcow2/raw to vmdk with qemu-img on nfs file system, and save objective file to nfs file system.  it write speed only 100k/second. Use the same method to convert other format image, conver rate is normal. e.g
vmdk--->qcow2
vmdk--->raw
 

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.2-3.el7.x86_64
3.10.0-11.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.mount nfs file system to local /mnt

2.time qemu-img convert -p -f qcow2 /mnt/rhel6.qcow2-O vmdk /mnt/rhel6-qcow2-vmdk
3.

Actual results:
convert rate only about 100k/sec

Expected results:
~40M

Additional info:
If objective file don't save on nfs file system, convert rate is good.
Comment 2 Fam Zheng 2014-04-18 08:44:40 EDT
Posted a patch to upstream:

http://patchwork.ozlabs.org/patch/340295/
Comment 8 Jeff Nelson 2014-12-16 18:40:31 EST
Fix included in qemu-kvm-1.5.3-84.el7
Comment 10 Qian Guo 2014-12-23 02:42:21 EST
Reproduced this bug with qemu-kvm-1.5.3-83.el7.x86_64

Steps:
1.Prepare a 3.2G actually size qcow2 image which is in nfs server.
# qemu-img info /mnt/rhel7/rhel7base.qcow2 
image: /mnt/rhel7/rhel7base.qcow2
file format: qcow2
virtual size: 30G (32212254720 bytes)
disk size: 3.2G
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false


2.Try to convert it to be vmdk format.
# time qemu-img convert -p -f qcow2 /mnt/rhel7/rhel7base.qcow2 -O vmdk /mnt/test2.vmdk


Result:
# time qemu-img convert -p -f qcow2 /mnt/rhel7/rhel7base.qcow2 -O vmdk /mnt/test2.vmdk
    (100.00/100%)

real	79m0.067s
user	0m4.741s
sys	0m26.629s


The speed is 675k/s, so this bug is reproduced.

Verified this bug with qemu-kvm-1.5.3-84.el7.x86_64 and qemu-kvm-rhev-2.1.2-17.el7.x86_64

Steps as above

Results:
1.With qemu-kvm-1.5.3-84.el7.x86_64

# time qemu-img convert -p -f qcow2 /mnt/rhel7/rhel7base.qcow2 -O vmdk /mnt/test1.vmdk
    (100.00/100%)

real	1m46.145s
user	0m3.416s
sys	0m15.311s

The speed is 32M/s

2.With qemu-kvm-rhev-2.1.2-17.el7.x86_64

#  time qemu-img convert -p -f qcow2 /mnt/rhel7/rhel7base.qcow2 -O vmdk /mnt/test2.vmdk
    (0.00/100%)
    (100.00/100%)

real	1m29.221s
user	0m2.212s
sys	0m4.666s

The speed is 36M/s

The speed is acceptable, so this bug is fixed by qemu-kvm-rhev-2.1.2-17.el7.x86_64 and qemu-kvm-1.5.3-84.el7.x86_64
Comment 12 errata-xmlrpc 2015-03-05 03:01:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html

Note You need to log in before you can comment on or make changes to this bug.